Package org.apache.felix.framework.util

# Class WeakZipFileFactory

java.lang.Object
org.apache.felix.framework.util.WeakZipFileFactory

public class WeakZipFileFactory extends Object
This class implements a factory for creating weak zip files, which behave mostly like a ZipFile, but can be weakly closed to limit the number of open files.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`WeakZipFileFactory.WeakZipFile`
This class wraps a ZipFile to making it possible to weakly close it; this means the underlying zip file will be automatically reopened on demand if anyone tries to use it.

## Constructor Summary

Constructors
Constructor
Description
`WeakZipFileFactory(int limit)`
Constructs a weak zip file factory with the specified file limit.

## Method Summary

Modifier and Type
Method
Description
`WeakZipFileFactory.WeakZipFile`
`create(File file)`
Factory method used to create weak zip files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeakZipFileFactory

public WeakZipFileFactory(int limit)
Constructs a weak zip file factory with the specified file limit. A limit of zero signifies no limit.

Parameters:
  `limit` - maximum number of open zip files at any given time.

## Method Details

### create

public WeakZipFileFactory.WeakZipFile create(File file) throws IOException
Factory method used to create weak zip files.

Parameters:
  `file` - the target zip file.
Returns:
  the created weak zip file.
Throws:
  `IOException` - if the zip file could not be opened.